Loading...
Searching...
No Matches
type_signature.hpp File Reference

Go to the source code of this file.

## Classes

struct | jni::StringLiteral< chars >
struct | jni::TagLiteralImpl< Tag, std::index_sequence< Is... > >
struct | jni::TypeSignature< jboolean >
struct | jni::TypeSignature< jbyte >
struct | jni::TypeSignature< jchar >
struct | jni::TypeSignature< jshort >
struct | jni::TypeSignature< jint >
struct | jni::TypeSignature< jlong >
struct | jni::TypeSignature< jfloat >
struct | jni::TypeSignature< jdouble >
struct | jni::TypeSignature< void >
struct | jni::TypeSignature< Object< TheTag > >
struct | jni::TypeSignature< Array< E > >
struct | jni::TypeSignature< R(Args...) >

## Namespaces

namespace | jni

## Typedefs

template<class Tag>
using | jni::TagLiteral = typename TagLiteralImpl< Tag, std::make_index_sequence<StringLiteralLength(Tag::Name())> >::Value

## Functions

constexpr std::size_t | jni::StringLiteralLength (const char *str, std::size_t len=0)
template<char... As, char... Bs>
constexpr auto | jni::Concat (const StringLiteral< As... > &, const StringLiteral< Bs... > &)
template<class A, class B, class... Rest>
constexpr auto | jni::Concat (const A &a, const B &b, const Rest &... rest)